# norootforbuild

%define soname 0

Summary:        LAME Ain't an MP3 Encoder
Name:           lame
Version:        3.98.2
%define pkg_version 398-2
Release:        1.pm.4.17
License:        GNU Library General Public License version 2 (LGPL v2)
URL:            http://lame.sourceforge.net/
Group:          Productivity/Multimedia/Sound/Editors and Convertors
# http://prdownloads.sourceforge.net/lame/lame-%{pkg_version}.tar.gz
Source:         lame-%{pkg_version}.tar.bz2
# http://sources.gentoo.org/viewcvs.py/*checkout*/gentoo-x86/media-sound/lame/files/lame-3.98-shared-frontend.patch
Patch2:		lame-3.98-shared-frontend.patch
Patch3:		lame-398-2_csv.diff.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc glibc-devel make pkgconfig ncurses-devel nasm
BuildRequires:	libsndfile libsndfile-devel flac-devel
BuildRequires:	gtk-devel
BuildRequires:	autoconf automake libtool
Requires:	libmp3lame%{soname} = %{version}-%{release}

%description
LAME is an educational tool to be used for learning about MP3 encoding.
The goal of the LAME project is to use the open source model to improve the
psycho acoustics, noise shaping and speed of MP3.
Another goal of the LAME project is to use these improvements for the basis of
a patent free audio compression codec for the GNU project.




Authors:
--------
    Mark Taylor <mt@mp3dev.org>

%package -n libmp3lame%{soname}
Summary:        LAME Ain't an MP3 Encoder
Group:		System/Libraries
Provides:	libmp3lame%{soname} = %{version}-%{release}
Provides:	liblame = %{version}-%{release}
Provides:	libmp3lame = %{version}-%{release}

%description -n libmp3lame%{soname}
LAME is an educational tool to be used for learning about MP3 encoding.
The goal of the LAME project is to use the open source model to improve the
psycho acoustics, noise shaping and speed of MP3.
Another goal of the LAME project is to use these improvements for the basis of
a patent free audio compression codec for the GNU project.




Authors:
--------
    Mark Taylor <mt@mp3dev.org>

%package -n libmp3lame-devel
Summary:        LAME Ain't an MP3 Encoder
Group:		Development/Libraries/C and C++
Requires:	libmp3lame%{soname} = %{version}-%{release}
Provides:	liblame-devel = %{version}-%{release}

%description -n libmp3lame-devel
LAME is an educational tool to be used for learning about MP3 encoding.
The goal of the LAME project is to use the open source model to improve the
psycho acoustics, noise shaping and speed of MP3.
Another goal of the LAME project is to use these improvements for the basis of
a patent free audio compression codec for the GNU project.




Authors:
--------
    Mark Taylor <mt@mp3dev.org>

%package -n lame-mp3rtp
Summary:	MP3 Encoder for RTP Streaming
Group:          Productivity/Multimedia/Sound/Editors and Convertors
Requires:	libmp3lame%{soname} = %{version}-%{release}
Provides:	mp3rtp = %{version}-%{release}

%description -n lame-mp3rtp
LAME is an educational tool to be used for learning about MP3 encoding.
The goal of the LAME project is to use the open source model to improve the
psycho acoustics, noise shaping and speed of MP3.
Another goal of the LAME project is to use these improvements for the basis of
a patent free audio compression codec for the GNU project.

This package includes "mp3rtp", an MP3 encoder with RTP streaming of the output.




Authors:
--------
    Mark Taylor <mt@mp3dev.org>

%package -n lame-mp3x
Summary:	MP3 Frame Analyzer
Group:          Productivity/Multimedia/Sound/Visualization
Requires:	libmp3lame%{soname} = %{version}-%{release}
Provides:	mp3x = %{version}-%{release}

%description -n lame-mp3x
LAME is an educational tool to be used for learning about MP3 encoding.
The goal of the LAME project is to use the open source model to improve the
psycho acoustics, noise shaping and speed of MP3.
Another goal of the LAME project is to use these improvements for the basis of
a patent free audio compression codec for the GNU project.

This package includes "mp3x", an MP3 frame analyzer with a graphical
frontend.




Authors:
--------
    Mark Taylor <mt@mp3dev.org>

%prep
%setup -q -n "lame-%{pkg_version}"
%patch2 -p1
%patch3 -p1

%build
autoreconf -fiv

LIBS="-lm" \
CFLAGS="%{optflags}" \
%configure \
	--enable-nasm \
	--enable-decoder \
        --without-vorbis \
        --enable-analyzer=no \
        --enable-brhist \
        --disable-debug \
	--enable-mp3rtp \
	--enable-mp3x \
	--with-fileio=sndfile \
	--disable-static
 
%__make

%install
%makeinstall
%__rm -rf "%{buildroot}%{_datadir}/doc"

%post -n libmp3lame%{soname} -p /sbin/ldconfig

%postun -n libmp3lame%{soname} -p /sbin/ldconfig

%clean
%__rm -rf "%{buildroot}"

%files 
%defattr(-,root,root)
%doc LICENSE USAGE COPYING API TODO README* HACKING ChangeLog 
%{_bindir}/lame
%doc %{_mandir}/man1/lame.1*

%files -n libmp3lame%{soname}
%defattr(-,root,root)
%{_libdir}/libmp3lame.so.%{soname}
%{_libdir}/libmp3lame.so.%{soname}.*.*

%files -n libmp3lame-devel
%defattr(-,root,root)
%{_includedir}/lame
%{_libdir}/libmp3lame.so
%{_libdir}/libmp3lame.la

%files -n lame-mp3rtp
%defattr(-,root,root)
%{_bindir}/mp3rtp

%files -n lame-mp3x
%defattr(-,root,root)
%{_bindir}/mp3x

%changelog
* Fri Aug 21 2009 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 0.38.2-1.pm.1
- cleanups cvs patch
- removed static library

* Sat May 30 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.38.2-0.pm.4
- patch from cvs to fix buffer problems with ffmpeg

* Tue Sep 23 2008 Pascal Bleser <guru@unixtech.be> 0.38.2-0.pm.1
- added Authors: in description blocks
- use libsndfile for fileio, as it seems to be the prefered default now
- update to 3.98.2:
  * adds some quality improvements to the generated audio files
  * enables the user to choose fractional variable bitrate qualities
  * upgraded support for libsndfile1 (and, in turn, can use many file formats as input, including FLAC files)
  * includes many bugfixes, including peripheral tools for user convenience

* Sun Jul 13 2008 Pascal Bleser <guru@unixtech.be> 0.38-0.pm.2
- build mp3rtp and mp3x (in subpackages)
- added patch for frontend (lame) to use libmp3lame as a shared library,
  not statically linked
- removed the Requires:libmp3lame-devel, not needed after all

* Sun Jul 13 2008 Pascal Bleser <guru@unixtech.be> 0.38-0.pm.1
- added ldconfig in post and postun
- changed release to 0.pm.1 (instead of 1)
- split off shared library and -devel packages (still Requires by lame for
  backwards compatibility, may change later)
- fixed Group:
- added BuildRequires
- added debuginfo support
- revamped spec file

* Wed Dec 20 2006 Henne Vogelsang <henne@links2linux.de>
- update to version 3.97
- build against libm for k3b
* Tue Feb 28 2006 Henne Vogelsang <henne@links2linux.de>
- package missing include dir
* Sat Nov 27 2004 Henne Vogelsang <henne@links2linux.de>
- make spec file lib/lib64 clean
* Sun Oct 17 2004 Henne Vogelsang <henne@links2linux.de>
- updated to version 3.96.1
* Wed May 05 2004 Henne Vogelsang <henne@links2linux.de>
- updated to version 3.95.1
* Sun Sep 28 2003 Henne Vogelsang <henne@links2linux.de>
- updated to version 3.93.1
* Sun Aug 31 2003 Henne Vogelsang <henne@links2linux.de>
- remove buildarch 
* Sun Mar 23 2003 Henne Vogelsang <henne@links2linux.de>
- compiled for 8.2
* Sun Sep 15 2002 Henne Vogelsang <henne@links2linux.de>
- updated version to 3.92
* Mon Jan 28 2002 Waldemar Brodkorb <waldemar@links2linux.de>
- new release
* Tue May 15 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- new beta
* Thu Jan 23 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- added mlame, script for multiple encoding with lame
* Thu Jan 11 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- compiled without ogg/vorbis support, because to buggy
* Wed Jan 3 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- first release

